Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229944 - kernel 2.6.19-1.2895 shuts down when laptop is cold
Summary: kernel 2.6.19-1.2895 shuts down when laptop is cold
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-02-24 20:25 UTC by Ken Barber
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 01:27:27 UTC


Attachments (Terms of Use)

Description Ken Barber 2007-02-24 20:25:06 UTC
Description of problem:
Immediately after loading, kernel 2.6.19-1.2895 shows this message

Critical temperature reached (128C), shutting down

on startup after bringing my laptop in from cold weather (i.e., after coming
home from work).  Kernel 2.6.18-1.2869 does not have this problem.

Version-Release number of selected component (if applicable):
2.6.19-1.2895

How reproducible:
Always

Steps to Reproduce:
1.  Walk around in cold weather with laptop in bag
2.  Come inside, sit down, plug in laptop
3.  Boot laptop
  
Actual results:
"Critical temperature reached (128C), shutting down" very early in the boot
process (usually just after the "Red Hat Nash version ...." displays)

Expected results:
Laptop continues booting

Additional info:
Compaq Presario V2000

[root@localhost ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 36
model name      : AMD Turion(tm) 64 Mobile Technology ML-34
stepping        : 2
cpu MHz         : 800.000
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow
up pni lahf_lm
bogomips        : 1593.01
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc


Workaround:  boot into kernel 2.6.18-1.2869 and use it for a while until the
laptop gets warm.  Then reboot into kernel 2.6.19-1.2895 and it will work fine.

I have not yet tried this with kernel 2.6.19-1.2911 as it has been nice all week
here (I'm in Nashville, Tennessee, USA).  If you want, I can put the laptop in
the freezer for a while and see what happens.

Comment 1 Chuck Ebbert 2007-02-26 14:33:03 UTC
That happens on my V2000 as well.  Updating the BIOS seems to
have made it quit, but I needed to install XP to do that.

Comment 2 Ken Barber 2007-03-30 02:52:40 UTC
Update:

This bug still exists on my laptop, in all subsequent kernel versions 
including 2.6.20-1.2933.fc6.

I have updated the BIOS.  It made no difference.

Since kernel 2.6.19 is no longer available for FC6, I now have to boot into 
SuSE to warm up the processor.

Comment 3 Chuck Ebbert 2007-03-30 14:31:32 UTC
Can you try adding these lines to /etc/modprobe.d/blacklist:

blacklist k8temp
blacklist hwmon
blacklist k8_edac
blacklist edac_mc

Comment 4 Ken Barber 2007-04-08 16:39:41 UTC
Spring has arrived where I am, so I had to put the laptop in the refrigerator 
to test it.  I only tried it once, but it booted normally.

Do you want any log files?  Do you want me to remove some of the above from 
the blacklist to narrow down the problem?

Comment 5 Chuck Ebbert 2007-04-09 19:43:42 UTC
(In reply to comment #4)
> Spring has arrived where I am, so I had to put the laptop in the refrigerator 
> to test it.  I only tried it once, but it booted normally.
> 
> Do you want any log files?  Do you want me to remove some of the above from 
> the blacklist to narrow down the problem?

Yes, if you can narrow this down it would help. I would guess that
it's not the k8* drivers, but really can't say for sure.


Comment 6 Ken Barber 2007-07-28 17:23:01 UTC
Hi.  It's summer now, I have upgraded to Fedora 7, and I had forgotten all about
this bug.

I put my laptop in the freezer just now to see what would happen.  It boots fine
into FC7 with 2.6.21-1.3228.fc7.

Do you still want to pursue this bug?  I still have FC6 installed in a different
partition -- and it still fails when the laptop is cold -- if you still want
t-shooting info.

Comment 7 Ken Barber 2007-08-21 21:54:16 UTC
I will be giving my laptop away in about a week.  If you want troubleshooting
info, you need to ask for it now!

Comment 8 Jon Stanley 2008-01-08 01:54:24 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 9 Ken Barber 2008-01-15 00:13:36 UTC
Can't do it.  I no longer have the laptop.

Comment 10 Jon Stanley 2008-01-15 01:27:27 UTC
In that case, I'll close this bug as INSUFFICIENT_DATA


Note You need to log in before you can comment on or make changes to this bug.